Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Interface JDBCColumnPositions.INDEX_INFO

Enclosing interface:
  JDBCColumnPositions

    public static interface JDBCColumnPositions.INDEX_INFO

This class contains constants representing column positions on ResultSet returned by getIndexInfo method on DatabaseMetaData. The class has constants for columns whose values are to be hardcoded in MMDatabaseMetaData object. `MAX_COLUMNS` is the number of columns to be read from server's results from the query against System.KeyElements table.

Field Summary
`static int` | `ASC_OR_DESC` Position of column that contains desc if index is ascending or descending.
`static int` | `CARDINALITY` Position of column that contains cardinality of the index.
`static int` | `COLUMN_NAME`
`static int` | `FILTER_CONDITION` Position of column that contains any filter condition.
`static int` | `INDEX_NAME`
`static int` | `INDEX_QUALIFIER` Position of column that contains qualifier for the index.
`static int` | `MAX_COLUMNS` Number of columns to be read from results returned by server results.
`static int` | `NON_UNIQUE` Position of column that contains non uniqueness of the index.
`static int` | `ORDINAL_POSITION`
`static int` | `PAGES` Position of column that contains pages oocupied by table.
`static int` | `TABLE_CAT` Position of column that contains catalog name of the table.
`static int` | `TABLE_NAME`
`static int` | `TABLE_SCHEM`
`static int` | `TYPE` Position of column that contains type of index.

Field Detail

### MAX_COLUMNS

    static final int MAX_COLUMNS

  Number of columns to be read from results returned by server results.

  See Also:
    Constant Field Values

### TABLE_CAT

    static final int TABLE_CAT

  Position of column that contains catalog name of the table.

  See Also:
    Constant Field Values

### TABLE_SCHEM

    static final int TABLE_SCHEM

See Also:
  Constant Field Values

### TABLE_NAME

    static final int TABLE_NAME

See Also:
  Constant Field Values

### NON_UNIQUE

    static final int NON_UNIQUE

  Position of column that contains non uniqueness of the index.

  See Also:
    Constant Field Values

### INDEX_QUALIFIER

    static final int INDEX_QUALIFIER

  Position of column that contains qualifier for the index.

  See Also:
    Constant Field Values

### INDEX_NAME

    static final int INDEX_NAME

See Also:
  Constant Field Values

### TYPE

    static final int TYPE

  Position of column that contains type of index.

  See Also:
    Constant Field Values

### ORDINAL_POSITION

    static final int ORDINAL_POSITION

See Also:
  Constant Field Values

### COLUMN_NAME

    static final int COLUMN_NAME

See Also:
  Constant Field Values

### ASC_OR_DESC

    static final int ASC_OR_DESC

  Position of column that contains desc if index is ascending or descending.

  See Also:
    Constant Field Values

### CARDINALITY

    static final int CARDINALITY

  Position of column that contains cardinality of the index.

  See Also:
    Constant Field Values

### PAGES

    static final int PAGES

  Position of column that contains pages oocupied by table.

  See Also:
    Constant Field Values

### FILTER_CONDITION

    static final int FILTER_CONDITION

  Position of column that contains any filter condition.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.